Armenian Knowledge Base  

Go Back   Armenian Knowledge Base > Technical sections > Operating Systems > Unix
Register

Reply
 
LinkBack Thread Tools
Old 07.06.2002, 02:53   #1
Школьник
 
Join Date: 05 2002
Location: Yerevan
Posts: 202
Downloads: 0
Uploads: 0
Reputation: 0 | 0
Post XFree86 4.2.0 problems

Люди, кто разбирается в Линуксе, просьба посоветовать что-нить.

Дело вот какое. Стоит у меня Linux RedHat 6.2. И естественно там XFree86 версии 3.3.6

Решил проапгрейдить иксы до версии 4.2
Скачал, проинсталлировал. Теперь иксы ВООБЩЕ не грузятся, включая xconfigurator. Ошибка следующая: librari libc.so.6 version GLIBC_2_2 was not found in /etc/lib. Но, я перерыл всю документацию. Насколько я понял эта библиотека вроде как и не обязательна для нормальной загрузки иксов, и к тому же если она нужна то почему при апдейте до новой версии она сама не поставилась?

В-общем, кто чем может, помогите, а?
Reply With Quote
Old 07.06.2002, 03:13   #2
Kooper
 
Kooper_26's Avatar
 
Join Date: 05 2002
Location: Hay.am Portal
Age: 41
Posts: 350
Downloads: 0
Uploads: 0
Reputation: 0 | 0
Arrow

Upgraidni sistemu do 7.3 ya dumayu kompyuter potyanet.
Reply With Quote
Old 07.06.2002, 03:59   #3
Консервативн
 
VX's Avatar
 
Join Date: 01 2002
Location: Кавказская Албания
Posts: 889
Downloads: 0
Uploads: 0
Reputation: 0 | 0
Post

Mojet ti sluchayno ne upgradnul xconfigurator

I eshe pomotri kakiy X-y vabshe zagrujautsa.
Mojet vse eshe zagrujaetsa staraya versiya.

Poprobuy filik svoimi rukami redaktirovat'.
v rochipe pri upgrade RedHat upgradit vse, glbc toje.
Reply With Quote
Old 07.06.2002, 05:30   #4
Школьник
 
Join Date: 05 2002
Location: Yerevan
Posts: 202
Downloads: 0
Uploads: 0
Reputation: 0 | 0
Post

хм.... спасибо за советы. Но, есть несколько нюансов.

Во-первых, комп 7.3 потянет без проблем - атлон 1800 + 512 озу. Но дело не в этом.

Не могу достать 7.3, а заставить работать именно 6.2 с xfree 4.2 уже дело принципа. В принципе, я порылся по инету и увидел, что не я первый, кто столкнулся с этой проблемой, но толкового решения нигде не нашел.

А сейчас, иксы не запускаются, но версию пишут уже новую, так что они проапгрейдились нормально, а вот эта библиотечка отсутствует, м-дассс....
Reply With Quote
Old 07.06.2002, 05:33   #5
Главный Лысый
 
Pascal's Avatar
 
Join Date: 10 2001
Location: AM
Age: 39
Posts: 2,829
Downloads: 4
Uploads: 0
Reputation: 28 | 4
Post

2Amph
Osnovmoy bazar tut v raznoy versii glibc. Eto biblioteka obespechivayushaya vse standartnie vyzovy funkciy C. Ona v 6.2 ona byla versii 2.1, v 7.x - 2.2. A ty skachal XFree, sobranniy dlya 2.2.

Vykhody :
1. Skachay iskhodniki, skompiliruy, i postav' X sam. Metod samiy khoroshiy, no i samiy trudoemkiy.
2. Skachay binarniki dlya glibc 2.1. I installiruy ikh.
3. Postav' chto-to iz RedHAT 7.x - tam uzhe 4-ya seriya XFree.

Est' vo vsem etom dele eshe odin nuans. Mozhet tvoya karta ne podderzhivaetsya XFree 4.x.x. Togda tebe ostanetsya zhit' s 3.3.6. Imenno po etoy prichine mnogie proizvoditeli ostavlyayut etot paket v postavke. Otdel'niy bazzar u tebya mozhet vozniknut' s raspolozheniem header files, i bibliotek, posle installyatsii XFree 4.x.x. Chtoby vse rabotalo s polpinka nado budet posmotret' kak systema ishet include-y, i biblioteky.

A voobshe ya porekomenduyu postavit' chto-to bolee svezhee. Esli konechno mashina pozvolyaet.

Budut voprosy - pishi.
Regards.
__________________
Ruben Muradyan
Technical Director
PanARMENIAN Network: Armenian News

----------------------------------------------------
Лысина - это полянка, вытоптанная мыслями.
----------------------------------------------------
Reply With Quote
Sponsored Links
Reply

Thread Tools


На правах рекламы:
реклама

All times are GMT. The time now is 17:33.


Powered by vBulletin® Copyright ©2000 - 2017, Jelsoft Enterprises Ltd.